<?php
require_once "connect.php";
require_once "inc/liberar_pedidos.php";

date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}

$redirect='erpc_pedidos_filter.php';
$id_usuario = 1;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}

/* EDIVAL 28/12/2016 11:18
   inclui os pedidos liberados */
if (isset($_POST['btn-liberar'])) {

  // Somente se informado os pedidos a liberar
  if(isset($_POST['id_gera'])){
    // coleção dos pedidos informados
    $itens = $_POST['id_gera'];

    setPedidos($itens);

    // Se não houve liberação dos pedidos, volta para a tela de liberação com mensagem!
    $bl_liberar_pedidos = getLiberarPedido(0);

    if(!$bl_liberar_pedidos==true){
      addError('Houve pedidos não liberados! Verifique o Status de cada Pedido.');
      return false;
    }

    // Faz o clone dos pedidos, conforme a liberação
    setAllPedidos();
    addMessage('Pedidos Liberados com Sucesso!');
  }
}

header("Location:$redirect");
